# Jaxer.DB.MySQL : Object
Return to: Jaxer Framework index

Namespace that holds the MySQL implementation of the Jaxer DB API.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static createDB(Object connectionParams) : Jaxer.DB.MySQL.Connection Creates a new database named according to connectionParams.NAME, if one does not already exist. | Show Details | 1.0 | no

Parameters

Object | connectionParams | A hashmap of required parameters to connect to the database. Required properties are HOST (hostname of the server), USER (username for authentication), PASS (password for authentication), NAME (database name), PORT (connection port, default value is "3306"), and CLOSE_AFTER_EXECUTE (whether to close the connection after each call to execute, default is open).

Returns

Jaxer.DB.MySQL.Connection | Returns and instance of Connection.

static validateConnectionParameters(Object connectionParams) : void Validate the provided connection parameters | Show Details | 1.0 | no

Parameters

Object | connectionParams | A hashmap of required parameters to connect to the database. Required properties are HOST (hostname of the server), USER (username for authentication), PASS (password for authentication), NAME (database name)

aptana_docs